- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_setup_t Struct Reference
[XCB API]

xcb_setup_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | status
uint8_t | pad0
uint16_t | protocol_major_version
uint16_t | protocol_minor_version
uint16_t | length
uint32_t | release_number
uint32_t | resource_id_base
uint32_t | resource_id_mask
uint32_t | motion_buffer_size
uint16_t | vendor_len
uint16_t | maximum_request_length
uint8_t | roots_len
uint8_t | pixmap_formats_len
uint8_t | image_byte_order
uint8_t | bitmap_format_bit_order
uint8_t | bitmap_format_scanline_unit
uint8_t | bitmap_format_scanline_pad
xcb_keycode_t | min_keycode
xcb_keycode_t | max_keycode
uint8_t | pad1 [4]

## Detailed Description

xcb_setup_t

## Field Documentation

uint8_t xcb_setup_t::status

uint8_t xcb_setup_t::pad0

uint16_t xcb_setup_t::protocol_major_version

uint16_t xcb_setup_t::protocol_minor_version

uint16_t xcb_setup_t::length

uint32_t xcb_setup_t::release_number

uint32_t xcb_setup_t::resource_id_base

uint32_t xcb_setup_t::resource_id_mask

uint32_t xcb_setup_t::motion_buffer_size

uint16_t xcb_setup_t::vendor_len

uint16_t xcb_setup_t::maximum_request_length

uint8_t xcb_setup_t::roots_len

uint8_t xcb_setup_t::pixmap_formats_len

uint8_t xcb_setup_t::image_byte_order

uint8_t xcb_setup_t::bitmap_format_bit_order

uint8_t xcb_setup_t::bitmap_format_scanline_unit

uint8_t xcb_setup_t::bitmap_format_scanline_pad

xcb_keycode_t xcb_setup_t::min_keycode

xcb_keycode_t xcb_setup_t::max_keycode

uint8_t xcb_setup_t::pad1[4]

The documentation for this struct was generated from the following file:

- xproto.h